#!/bin/sh
# wrapper to run nmzmail through desired maildirs
# by Kevin Coyner <kevin@rustybear.com>, 10 March 2006
# run periodically from your crontab

MAILDIRTOP="/home/user1/mail"

# maildirs to index.  Each must be separated by a space, even if on a separate line.
TARGET="$MAILDIRTOP/inbox
        $MAILDIRTOP/sent 
        $MAILDIRTOP/filebox1 
        $MAILDIRTOP/filebox2 
        $MAILDIRTOP/filebox3 
        $MAILDIRTOP/filebox4 
"

if [ ! -x /usr/bin/nmzmail ]; then
    echo "nmzmail does not exist ... exiting"
    exit 1
fi

if [ ! -x /usr/bin/namazu ]; then
    echo "nmzmail does not exist ... exiting"
    exit 1
fi

/usr/bin/nmzmail -i $TARGET


